Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.insurability.domain
Class InsurabilityReferences

    java.lang.Object
      be.ehealth.businessconnector.insurability.domain.InsurabilityReferences

All Implemented Interfaces:
  Serializable

    public final class InsurabilityReferences

extends Object
implements Serializable

Class containing all the references needed by Chapter IV.

See Also:
  Serialized Form

Constructor Summary
`InsurabilityReferences(boolean init)`
`InsurabilityReferences(String id)`

Method Summary
`String` | `getCommonNIPReference()` Deprecated. : the common nip reference should not be filled out by the client software , only the NIPPIN may add this property to messages
`String` | `getCommonReference()`
`String` | `getRecordCommonInputId()`
`void` | `setCommonNIPReference(String commonNIPReference)` Deprecated. : the common nip reference should not be filled out by the client software , only the NIPPIN may add this property to messages
`void` | `setCommonReference(String commonReference)`
`void` | `setRecordCommonInputId(String recordCommonInputId)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InsurabilityReferences

    public InsurabilityReferences(boolean init)
                           throws TechnicalConnectorException

Parameters:
  `init` - if you want to prefill the differents ids (commonReference, recordCommonInput and kmerIdSuffix) with generated values, init must be true
Throws:
  `TechnicalConnectorException`

### InsurabilityReferences

    public InsurabilityReferences(String id)

Parameters:
  `id` - all the references expect commonNIPReference are created with this value.

Method Detail

### getCommonReference

    public String getCommonReference()

  Returns:
    the commonReference

### setCommonReference

    public void setCommonReference(String commonReference)

  Parameters:
    `commonReference` - the commonReference to set

### getCommonNIPReference

    @Deprecated
    public String getCommonNIPReference()

  Deprecated. : the common nip reference should not be filled out by the client software , only the NIPPIN may add this property to messages

  Returns:
    the commonNIPReference

### setCommonNIPReference

    @Deprecated
    public void setCommonNIPReference(String commonNIPReference)

  Deprecated. : the common nip reference should not be filled out by the client software , only the NIPPIN may add this property to messages

  Parameters:
    `commonNIPReference` - the commonNIPReference to set

### getRecordCommonInputId

    public String getRecordCommonInputId()

  Returns:
    the recordCommonInputId

### setRecordCommonInputId

    public void setRecordCommonInputId(String recordCommonInputId)

  Parameters:
    `recordCommonInputId` - the recordCommonInputId to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging generic 3.18.0 API
Copyright © {inceptionYear}-2019 eHealth. All Rights Reserved.